/// Snapshot test to list & verify the public API of this crate
///
/// We use this so it is a more explicit operation when changing the public API
/// and to make it easier for both the author and reviewers of changes to see how it affects
/// semantic versioning and the CHANGELOG of the crate
#[test]
fn public_api() {
    use ark_public_api_test::*;
    if !is_supported() {
        return;
    }

    insta::with_settings!({
        prepend_module_to_snapshot => false,
        snapshot_path => "../snapshots/",
    }, {
        insta::assert_snapshot!(list_public_api(Options {
            target: None
        }).unwrap());
    });
}
